Digital wallets
GET https://omnes.link/api/digital-wallets/
curl --request GET \
--url 'https://omnes.link/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| domain_id | Opcional Entero | Dominio |
| link_id | Opcional Entero | Link ID |
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿En qué campo estás buscando? Los valores permitidos son: name. |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Cadena | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Cadena | Qué campo ordenar los resultados por. Los valores permitidos son: digital_wallet_id, domain_id, link_id, pageviews, last_datetime, name, datetime. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que deseas obtener resultados. Por defecto es 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25. |
{
"data": [
{
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-06-23 11:58:33"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://omnes.link/api/digital-wallets?page=1",
"last": "https://omnes.link/api/digital-wallets?page=1",
"next": null,
"prev": null,
"self": "https://omnes.link/api/digital-wallets?page=1"
}
}
GET https://omnes.link/api/digital-wallets/{digital_wallet_id}
curl --request GET \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-06-23 11:58:33"
}
}
POST https://omnes.link/api/digital-wallets
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | Internal name used to identify this wallet card in your account. |
| title | Requerido Cadena | Main text displayed on the Digital Wallet card. |
| location_url | Requerido Cadena | This URL is used for the Digital Wallet QR code and main action. |
| link_id | Opcional Entero | Optionally choose one of your existing links. Its destination URL will be used automatically. |
| subtitle | Opcional Cadena | Optional supporting text shown below the title. |
| logo | Opcional Archivo | Logo |
| image | Opcional Archivo | Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1. |
| background_color | Opcional Cadena | Background color |
| phone | Opcional Cadena | Phone number |
| Opcional Cadena | Correo electrónico | |
| website | Opcional Cadena | Website |
curl --request POST \
--url 'https://omnes.link/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=CyberOmnes' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=[email protected]'
--url 'https://omnes.link/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=CyberOmnes' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=[email protected]'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-06-23 11:58:33"
}
}
POST https://omnes.link/api/digital-wallets/{digital_wallet_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | Internal name used to identify this wallet card in your account. |
| title | Opcional Cadena | Main text displayed on the Digital Wallet card. |
| location_url | Opcional Cadena | This URL is used for the Digital Wallet QR code and main action. |
| link_id | Opcional Entero | Optionally choose one of your existing links. Its destination URL will be used automatically. |
| subtitle | Opcional Cadena | Optional supporting text shown below the title. |
| logo | Opcional Archivo | Logo |
| image | Opcional Archivo | Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1. |
| background_color | Opcional Cadena | Background color |
| phone | Opcional Cadena | Phone number |
| Opcional Cadena | Correo electrónico | |
| website | Opcional Cadena | Website |
curl --request POST \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Updated business card",
"pageviews": 0,
"settings": {
"title": "Senior PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": "2026-06-23 11:58:33",
"datetime": "2026-06-23 11:58:33"
}
}
DELETE https://omnes.link/api/digital-wallets/{digital_wallet_id}
curl --request DELETE \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \